@import url("https://use.typekit.net/orh5kkr.css");
/* Colors
#333
#efefef
#ce643b
--------------------------- */

/* Global
--------------------------- */
html {
  --main-color: #ce643b;
  --accent-color: #000000;
  --bg-color: #131313;
  --main-text: #efefef;
  --ratio: 9/16;
  --main-padding: 15px;
  --hor-padding: 25px;
  --sib-spacing: 10px;
  --new-section: 25px;
  --container-width: 950px;
  --sml-container: 575px;
  --push-footer: 100%;

  box-sizing: border-box;
  font-size: 16px;
}

*,
*:before,
*:after {
  box-sizing: inherit;
}

body {
  background: var(--bg-color);
  font-family: linotype-didot, serif;
  margin: 0 auto;
}

h1,
h2 {
  font-family: linotype-didot, serif;
}

nav a {
  text-decoration: none;
}

/* Header
--------------------------- */
header {
  background: var(--bg-color);
  padding: var(--hor-padding) 0;
  position: sticky;
  top: 0;
  z-index: 3;
}

header h1 {
  margin: var(--sib-spacing) 0;
  font-size: 2rem;
  text-transform: lowercase;
  text-align: center;
  font-weight: 700;
  color: var(--main-text);
  word-spacing: -2px;
}

nav {
  display: flex;
  justify-content: space-around;
  width: 250px;
  margin: 0 auto;
  font-size: 1.25rem;
  font-weight: 600;
  text-transform: lowercase;
  letter-spacing: 2px;
}

nav > div {
  display: flex;
}

nav a {
  display: flex;
  justify-content: center;
  padding: 0 var(--main-padding);
  align-items: center;
  color: var(--main-text);
}

.active a {
  color: var(--main-color);
}

.thin-letters {
  font-weight: 400;
}

/* Footer
--------------------------- */
footer {
  text-align: center;
  font-family: monotype-grotesque, sans-serif;
  background-color: var(--accent-color);
  padding: calc(var(--sib-spacing) / 2) 0;
}

footer p {
  font-size: 0.5rem;
  color: var(--main-text);
}

/* HOME *********************/
main.home {
  display: flex;
  flex-wrap: wrap;
  margin: 0 auto;
  padding: 0 var(--main-padding);
  max-width: var(--container-width);
}

.home-bio {
  margin: var(--new-section) 0;
  margin-bottom: calc(var(--new-section) * 2);
  color: var(--main-text);
  font-size: 1.75rem;
  line-height: 1.25em;
  font-weight: bolder;
  text-align: center;
}

.cta {
  color: var(--main-color);
  text-decoration: none;
}

.video-sizing {
  width: 100%;
  height: calc(100vw * var(--ratio));
}

iframe:last-child {
  margin-bottom: var(--new-section);
}

/* ABOUT *********************/
main.about {
  margin: 0 auto;
  font-family: monotype-grotesque, sans-serif;
  padding: 0 var(--main-padding);
  max-width: var(--sml-container);
}

main.about h2 {
  text-align: center;
  margin: 0;
  font-weight: 500;
  font-size: 3rem;
  margin: var(--new-section) 0;
  color: var(--main-text);
}

main.about img {
  width: 100%;
  margin-bottom: var(--sib-spacing);
}

.about p {
  margin: 0 0 18px 0;
  line-height: 1.5em;
  color: var(--main-text);
  font-size: 1.5rem;
}

.about p:first-child {
  margin-bottom: calc(var(--sib-spacing) * 3);
}

.bio p:last-child {
  margin-bottom: var(--push-footer);
}

/* Responsive *********************/

/* HOME *********************/
@media (min-width: 950px) {
  .video-sizing {
    height: calc(var(--container-width) * var(--ratio));
  }
}
